<?php require_once('Connections/cn.php'); ?>
<?php
session_start();
header("Content-Type:text/html; charset=utf-8");

$cedula_usuario=$_SESSION['CEDULA_USUARIO'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sql = "SELECT id_alumno,cedula,apellidos, nombres FROM alumnos where cedula='$cedula_usuario'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);
$id_alumno= $row['id_alumno'];

//datos que tomo de la pagina oferta_academica para buscar en la tabla oferta_academica
//datos que tomo de la pagna de inscripciom
$id_periodo=$_GET['id_periodo'];
$codigo_sede=$_GET['codigo_sede'];
$id_carrera=$_GET['id_carrera'];
$id_oferta=$_GET['id'];
$id_materia=$_GET['id_materia'];
$id_seccion=$_GET['id_seccion'];

$sql2 = "SELECT * FROM inscripciones where id_periodo='$id_periodo' and id_carrera='$id_carrera' and id_materia='$id_materia' and id_seccion='$id_seccion' and sede='$codigo_sede'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$cant = mysql_num_rows($rs2);
if($cant==0){
	$id=$_GET['id'];
	$sql3 = "SELECT * FROM oferta_academica where id='$id'";
	$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
	$row3 = mysql_fetch_assoc($rs3);
	$id_periodo=$row3['id_periodo'];
	$id_carrera=$row3['id_carrera'];
	$id_materia=$row3['id_materia'];
	$id_seccion=$row3['id_seccion'];
	$sede=$row3['sede'];
	$id_docente=$row3['id_profesor'];
	$fecha_inscripcion=date("Y-m-d");

	$sql3="insert into inscripciones (id_alumno,id_periodo,id_carrera,id_materia,id_seccion,sede,id_docente,fecha_inscripcion) values('$id_alumno','$id_periodo','$id_carrera','$id_materia','$id_seccion','$sede','$id_docente','$fecha_inscripcion')";
	$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
	
	 //actualizo la tabla de oferta academica
  $sql="update oferta_academica set cupos=cupos - 1 where id='$id'";
  $Result2 = mysql_query($sql, $cn) or die(mysql_error());
}
else
{
?>
<script type="text/javascript">
	alert("Materia ya está Inscrita");
	url="oferta_academica.php?id_periodo="+'<?php echo $id_periodo; ?>'+"&codigo_sede="+'<?php echo $codigo_sede; ?>'+"&id_carrera="+'<?php echo $id_carrera; ?>';
window.open(url,'contenido');
</script>
<?php
}
//$url="oferta_academica.php?id_periodo=".$id_periodo."&codigo_sede=".$sede."id_carrera=".$id_carrera;
//header(sprintf("Location: %s", $url));
?>
<script type="text/javascript">
url="oferta_academica.php?id_periodo="+'<?php echo $id_periodo; ?>'+"&codigo_sede="+'<?php echo $sede; ?>'+"&id_carrera="+'<?php echo $id_carrera; ?>';
window.open(url,'contenido');
</script>
